%define upstream_name    Test-Harness
%define upstream_version 3.42

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch
Summary:    Run Perl standard test scripts with statistics
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Harness::Hook\\)

%description
STOP! If all you want to do is write a test script, consider using
Test::Simple. Test::Harness is the module that reads the output from
Test::Simple, Test::More and other modules based on Test::Builder. You don't
need to know about Test::Harness to use those modules.

Test::Harness runs tests and expects output from the test in a certain format.
That format is called TAP, the Test Anything Protocol. It is defined in
Test::Harness::TAP.

Test::Harness::runtests(@tests) runs all the testscripts named as arguments and
checks standard output for the expected strings in TAP format.

The prove utility is a thin wrapper around Test::Harness.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%make_install
# rename prove to avoid conflict with perl
mv %{buildroot}/%{_bindir}/prove %{buildroot}/%{_bindir}/prove-%{upstream_version}

%check
%make test

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Test
%{perl_vendorlib}/TAP
%{perl_vendorlib}/App
%{_mandir}/*/*
%{_bindir}/prove-%{upstream_version}

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 3.420.0-3.mga8
+ Revision: 1506413
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.420.0-2.mga7
+ Revision: 1286663
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 shlomif <shlomif> 3.420.0-1.mga7
+ Revision: 1210695
- update to 3.42

* Wed Mar 07 2018 shlomif <shlomif> 3.410.0-1.mga7
+ Revision: 1207286
- update to 3.41

* Tue Oct 03 2017 tv <tv> 3.390.0-2.mga7
+ Revision: 1166780
- rebuild with fixed rpm for missing autodeps

* Thu Aug 17 2017 sander85 <sander85> 3.390.0-1.mga7
+ Revision: 1141361
- update to 3.39
- update to 3.39

* Sun Jun 19 2016 pterjan <pterjan> 3.360.0-2.mga6
+ Revision: 1034293
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 3.360.0-1.mga6
+ Revision: 1002309
- update to 3.36

* Sat Feb 20 2016 umeabot <umeabot> 3.350.0-3.mga6
+ Revision: 971618
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 tv <tv> 3.350.0-2.mga6
+ Revision: 892087
- make it noarch thus fixing empty debuginfo

* Mon Jun 29 2015 sander85 <sander85> 3.350.0-1.mga6
+ Revision: 847984
- update to 3.35

* Sat Oct 18 2014 shlomif <shlomif> 3.330.0-5.mga5
+ Revision: 787531
- Add __requires_exclude

* Wed Oct 15 2014 umeabot <umeabot> 3.330.0-4.mga5
+ Revision: 739839
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 3.330.0-3.mga5
+ Revision: 736006
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 3.330.0-2.mga5
+ Revision: 686451
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 3.330.0-1.mga5
+ Revision: 664409
- update to 3.33

* Thu Jun 12 2014 sander85 <sander85> 3.320.0-1.mga5
+ Revision: 635704
- update to 3.32

* Sat Jun 07 2014 sander85 <sander85> 3.310.0-1.mga5
+ Revision: 634554
- update to 3.31

* Fri Feb 07 2014 sander85 <sander85> 3.300.0-1.mga5
+ Revision: 585632
- update to 3.30

* Mon Oct 21 2013 umeabot <umeabot> 3.290.0-2.mga4
+ Revision: 541130
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 sander85 <sander85> 3.290.0-1.mga4
+ Revision: 495157
- update to 3.29

* Wed May 29 2013 tv <tv> 3.280.0-1.mga4
+ Revision: 432719
- new release

* Wed May 29 2013 tv <tv> 3.250.0-6.mga4
+ Revision: 432696
- rebuild for new perl

* Wed Mar 27 2013 jquelin <jquelin> 3.250.0-5.mga3
+ Revision: 405552
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.250.0-4.mga3
+ Revision: 373560
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 3.250.0-3.mga3
+ Revision: 315582
- perl 5.16.2 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 3.250.0-2.mga3
+ Revision: 284605
- perl 5.16.1 rebuild

* Thu Jul 05 2012 jquelin <jquelin> 3.250.0-1.mga3
+ Revision: 268165
- update to 3.25

* Mon Jun 04 2012 jquelin <jquelin> 3.240.0-1.mga3
+ Revision: 254333
- update to 3.24

* Sat Feb 26 2011 jquelin <jquelin> 3.230.0-1.mga1
+ Revision: 60592
- update to 3.23

* Fri Feb 18 2011 jquelin <jquelin> 3.220.0-3.mga1
+ Revision: 53661
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 3.220.0-2.mga1
+ Revision: 31262
- mageia rebuild
- imported package perl-Test-Harness


* Sat Nov 13 2010 Jérôme Quelin <jquelin@mandriva.org> 3.220.0-2mdv2011.0
+ Revision: 597198
- rebuild

* Mon Aug 16 2010 Jérôme Quelin <jquelin@mandriva.org> 3.220.0-1mdv2011.0
+ Revision: 570310
- update to 3.22

* Wed Jul 28 2010 Jérôme Quelin <jquelin@mandriva.org> 3.210.0-3mdv2011.0
+ Revision: 562435
- rebuild

* Sat Jul 24 2010 Jérôme Quelin <jquelin@mandriva.org> 3.210.0-2mdv2011.0
+ Revision: 558165
- rebuild

* Mon Feb 01 2010 Jérôme Quelin <jquelin@mandriva.org> 3.210.0-1mdv2010.1
+ Revision: 498974
- update to 3.21

* Sun Jan 24 2010 Jérôme Quelin <jquelin@mandriva.org> 3.200.0-1mdv2010.1
+ Revision: 495426
- update to 3.20

* Sat May 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.17-1mdv2010.0
+ Revision: 373794
- update to new version 3.17

* Fri Feb 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.16-1mdv2009.1
+ Revision: 345495
- update to new version 3.16

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.14-1mdv2009.1
+ Revision: 292353
- update to new version 3.14

* Tue Aug 12 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.13-1mdv2009.0
+ Revision: 271054
- update to new version 3.13

* Mon Jun 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.12-1mdv2009.0
+ Revision: 230281
- update to new version 3.12

* Thu Jun 19 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.11-1mdv2009.0
+ Revision: 226198
- update to new version 3.11

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.10-1mdv2009.0
+ Revision: 193932
- update to new version 3.10

* Wed Feb 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.09-1mdv2008.1
+ Revision: 166952
- update to new version 3.09

* Tue Jan 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.07-1mdv2008.1
+ Revision: 156181
- update to new version 3.07

* Thu Jan 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.06-1mdv2008.1
+ Revision: 154003
- update to new version 3.06

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.05-1mdv2008.1
+ Revision: 138066
- update to new version 3.05

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.03-1mdv2008.1
+ Revision: 115893
- update to new version 3.03

* Mon Nov 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.02-1mdv2008.1
+ Revision: 110294
- new version


* Tue Mar 13 2007 Stéphane Téletchéa <steletch@mandriva.org> 2.64-2mdv2007.1
+ Revision: 142312
- Temporary hack for man pages, waiting after gold release for perl upgrade

* Tue Feb 27 2007 mandrake <mandrake> 2.64-1mdv2007.1
+ Revision: 126401

* Tue Feb 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.64-1mdv2007.1
- first mdv release

